Recommended Posts

Posted

Witam,

brakuje mi funkcji "vla-StartUndoMark" oraz "vla-EndUndoMark" czy coś wiadomo w tym temacie? Są jakieś zastępcze funkcje czy pozostaje czysty Lisp i funkcja "undo"?

pozdrawiam

Posted

Funkcje te nie są obecnie dostępne. Postaram się ustalić kiedy się pojawią. Zastępczo możemy się posłużyć taką przykładową konstrukcją:

(command "undo" "be") 
(command "circle" "0,0" 6.0 "move" "L" "" "@" pause "polygon" 6 "@" "C" 6.0)
(command "undo" "end") 

Posted

Czyli tak jak myślałem.

To mam zatem jeszcze prośbę aby zorientować się również w kwestii następujących funkcji Visual Lispa:

"vla-get-profiles"

"vla-get-activeprofile"

"vla-put-activeprofile"

"vla-getallprofilenames"

"vla-deleteprofile"

"vla-resetprofile"

"vla-renameprofile"

"vla-copyprofile"

"vla-exportprofile"

"vla-importprofile"

czyli funkcje do zarządzania Profilami w CAD.

np.

(defun putActiveProfile (profilename)
 (vla-put-activeprofile
   (vla-get-profiles (vla-get-preferences (vlax-get-acad-object)))
   profilename
 )
)

pozdrawiam

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...